Bug 1579354 - glibc: Initialize msg_flags to zero for sendmmsg in resolver
Summary: glibc: Initialize msg_flags to zero for sendmmsg in resolver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Florian Weimer
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 1655768
TreeView+ depends on / blocked
 
Reported: 2018-05-17 12:50 UTC by Florian Weimer
Modified: 2019-08-06 12:49 UTC (History)
8 users (show)

Fixed In Version: glibc-2.17-280.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:48:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2118 None None None 2019-08-06 12:49:27 UTC
Sourceware 23037 None None None 2019-06-25 12:29:46 UTC

Description Florian Weimer 2018-05-17 12:50:44 UTC
We should backport a workaround for a future Linux userspace ABI change, where the msg_flags struct msghdr member is no longer ignored by sendmmsg.

Upstream commit:

commit 583a27d525ae189bdfaa6784021b92a9a1dae12e
Author: Florian Weimer <fweimer@redhat.com>
Date:   Mon Apr 9 10:08:07 2018 +0200

    resolv: Fully initialize struct mmsghdr in send_dg [BZ #23037]

Comment 4 Sergey Kolosov 2019-06-19 10:33:51 UTC
Verified, SanityOnly, the patch was successfully applied

Comment 6 errata-xmlrpc 2019-08-06 12:48:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2118


Note You need to log in before you can comment on or make changes to this bug.